bitel.billing.server.util.mikrotik

## Class MikrotikApiSession

- java.lang.Object
- - bitel.billing.server.util.AbstractSession
  - - bitel.billing.server.util.mikrotik.MikrotikApiSession

- Deprecated.

      @Deprecated
      public class MikrotikApiSession
      extends AbstractSession

  Использовать MikrotikApiSession `ru.bitel.bgbilling.kernel.network.mikrotik.MikrotikApiSession`

- - ### Field Summary

    - ### Fields inherited from class bitel.billing.server.util.AbstractSession

      `host, port, sourceHost, sourcePort, timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MikrotikApiSession(java.lang.String host, int port, java.lang.String login, java.lang.String pswd)` Deprecated.
    `MikrotikApiSession(java.lang.String host, int port, java.lang.String login, java.lang.String pswd, java.lang.String sourceHost, int sourcePort)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `connect()` Deprecated. Устанавливает соединение с удаленным хостом
    `void` | `disconnect()` Deprecated. Закрывает соединение с удаленным хостом
    `java.lang.String` | `doCommand(java.lang.String command)` Deprecated. Отправляет на удаленный хост команду и считывает ответ
    `java.lang.String` | `getLastIds()` Deprecated.

    - ### Methods inherited from class bitel.billing.server.util.AbstractSession

      `getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MikrotikApiSession

          public MikrotikApiSession(java.lang.String host,
                                    int port,
                                    java.lang.String login,
                                    java.lang.String pswd)

      Deprecated.

    - #### MikrotikApiSession

          public MikrotikApiSession(java.lang.String host,
                                    int port,
                                    java.lang.String login,
                                    java.lang.String pswd,
                                    java.lang.String sourceHost,
                                    int sourcePort)

      Deprecated.

  - ### Method Detail

    - #### connect

          public java.lang.String connect()
                                   throws java.lang.Exception

      Deprecated.
      Description copied from class: `AbstractSession`
      Устанавливает соединение с удаленным хостом
      Specified by:
        `connect` in class `AbstractSession`
      Throws:
        `java.lang.Exception`

    - #### doCommand

          public java.lang.String doCommand(java.lang.String command)
                                     throws java.lang.Exception

      Deprecated.
      Description copied from class: `AbstractSession`
      Отправляет на удаленный хост команду и считывает ответ
      Specified by:
        `doCommand` in class `AbstractSession`
      Parameters:
        `command` - команда отсылаемая на удаленный хост
      Returns:
      Throws:
        `java.lang.Exception`

    - #### disconnect

          public void disconnect()
                          throws ru.bitel.bgbilling.common.BGException

      Deprecated.
      Description copied from class: `AbstractSession`
      Закрывает соединение с удаленным хостом
      Specified by:
        `disconnect` in class `AbstractSession`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getLastIds

          public java.lang.String getLastIds()

      Deprecated.